import React from 'react';

export default function TeamLogo({team, size = 'large', variant = 'dark'}) {

    let width = null;
    let height = null;

    if (size === 'small')
    {
        if (team === 'webnode')
        {
            width = 75;
            height = 19;
        }

        if (team === 'iubenda')
        {
            width = 75;
            height = 25;
        }
    }

    const webnode = <svg xmlns="http://www.w3.org/2000/svg" width={width ? width : 110} height={height ? height : 33} viewBox="0 0 280 60"><g><path d="m54.3,18.60001l-11.90001,35.89999l-5.2,0l-8.2,-26.79999l-8.2,26.79999l-5.20001,0l-11.89999,-35.79999l5.5,0l9.10001,27.69998l8.29999,-27.69998l5,0l8.3,27.69998l9.10001,-27.69998l5.3,0l0,-0.10001zm107.5,12.5l0,23.39999l-5.19998,0l0,-23.29999c0,-3.40002 -1,-8 -9.60001,-8c-3.70001,0 -7,0.69998 -9.39999,1.39999l0,29.89999l-5.20001,0l0,-33c1.70001,-0.89999 7.70001,-3.5 15.20001,-3.5c9.09998,0 14.19998,4.79999 14.19998,13.10001zm40,5.39999c0,15.29999 -9.19998,18.5 -16.89999,18.5c-7.70001,0 -16.79999,-3.20001 -16.79999,-18.5c0,-15.29999 9.09998,-18.5 16.79999,-18.5c7.69998,0 16.89999,3.20001 16.89999,18.5zm-5.10001,0c0,-9.60001 -3.5,-13.79999 -11.70001,-13.79999c-8.09998,0 -11.59998,4.19998 -11.59998,13.79999c0,9.60001 3.5,13.79999 11.59998,13.79999c8.10001,0 11.70001,-4.19998 11.70001,-13.79999zm-123.60001,-18.5c-16.3,0 -15.7,15.20001 -15.7,19c0,14.89999 8.89999,18 16.39999,18c5.10001,0 9.3,-0.89999 12.8,-2.5l0,-5.29999c-3,1.79999 -7,2.69998 -12.3,2.69998c-7.39999,0 -11.8,-3 -11.8,-12.89999c0,-10.60001 3.60001,-14.10001 10.60001,-14.10001c9.89999,0 10.5,10.39999 10.5,12.10001l-15.3,0c0,0.60001 -0.10001,1.29999 -0.10001,2c0,0.89999 0,1.79999 0.10001,2.60001l20.39999,0c0,0 0.10001,-1.10001 0.10001,-2.5c0.10001,-1.39999 0.60001,-19.10001 -15.7,-19.10001zm186.90001,0c-16.3,0 -15.70003,15.20001 -15.70003,19c0,14.89999 8.90002,18 16.40004,18c5.09995,0 9.29999,-0.89999 12.79996,-2.5l0,-5.29999c-3,1.79999 -7,2.69998 -12.29996,2.69998c-7.40004,0 -11.80003,-3 -11.80003,-12.89999c0,-10.60001 3.60001,-14.10001 10.60002,-14.10001c9.89996,0 10.49997,10.39999 10.49997,12.10001l-15.29997,0c0,0.60001 -0.10001,1.29999 -0.10001,2c0,0.89999 0.10001,1.79999 0.10001,2.60001l20.39998,0c0,0 0.10004,-1.10001 0.10004,-2.5c0.09998,-1.39999 0.60001,-19.10001 -15.70001,-19.10001zm-150.90001,0c-1.19998,0 -2.5,0.10001 -3.69998,0.29999l0,4.90002c1.19998,-0.20001 2.39996,-0.30002 3.69998,-0.30002c7.89999,0 11.29999,3.89999 11.29999,13.30002c0,12.79999 -6.10001,14.19998 -10.60001,14.19998c-6.29999,0 -9.49997,-2.10001 -9.49997,-6.29999l0,-39.10001l-5.20001,0l0,38.79999c0,2.70001 1,11.30002 14.59998,11.30002c5.90002,0 15.80002,-2.39999 15.80002,-19c0,-15 -8.89999,-18.10001 -16.39999,-18.10001zm123.80002,-13.10001l0,39.10001c0,4.19998 -3.20001,6.29999 -9.5,6.29999c-4.5,0 -10.60001,-1.39999 -10.60001,-14.20001c0,-9.29999 3.39999,-13.29999 11.30002,-13.29999c1.19998,0 2.5,0.10001 3.69998,0.29999l0,-4.89999c-1.19998,-0.19998 -2.39999,-0.29999 -3.69998,-0.29999c-7.5,0 -16.40002,3.19998 -16.40002,18.10001c0,16.5 9.90002,19 15.80002,19c13.60001,0 14.60001,-8.70001 14.60001,-11.30002l0,-38.79999l-5.20001,0z"></path></g></svg>;
    const webnodeLight = <svg id="Layer_1" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" width={width ? width : 110} height={height ? height : 33} viewBox="0 0 667.28 122.5"><defs></defs><path style={{fill: '#fff'}} d="M750.62,512.9l-29.13,87.58H708.68l-20-66.16-20,66.16h-12.8L626.72,512.9h13.33l22.3,68.43,20.18-68.43h12.11L715,581.33l22.3-68.43Zm265,30.54v57h-12.63v-57c0-8.25-2.46-19.48-23.53-19.48a82.4,82.4,0,0,0-23,3.5v73H943.79V519.92a87,87,0,0,1,37-8.6C1002.94,511.32,1015.57,523.08,1015.57,543.44Zm97.76,13.16c0,37.38-22.46,45.28-41.24,45.28S1031,594,1031,556.6s22.29-45.28,41.07-45.28S1113.33,519.22,1113.33,556.6Zm-12.63,0c0-23.52-8.6-33.7-28.61-33.7-19.83,0-28.43,10.18-28.43,33.7s8.6,33.69,28.43,33.69C1092.1,590.29,1100.7,580.12,1100.7,556.6ZM798,511.32c-39.83,0-38.43,37.2-38.43,46.51,0,36.5,21.76,44,40,44,12.46,0,22.82-2.11,31.24-6.14v-13c-7.37,4.39-17.2,6.49-30,6.49-18.08,0-28.72-7.45-28.72-31.41,0-25.87,8.72-34.57,25.91-34.57,24.22,0,25.63,25.44,25.63,29.65H786.24c-.09,1.57-.15,3.18-.15,4.92,0,2.27.12,4.33.31,6.31h49.81a55.33,55.33,0,0,0,.35-6.13C836.56,554.67,837.79,511.32,798,511.32Zm457.43,0c-39.83,0-38.44,37.2-38.44,46.51,0,36.5,21.77,44,40,44,12.45,0,22.8-2.11,31.23-6.14v-13c-7.37,4.39-17.2,6.49-30,6.49-18.08,0-28.73-7.45-28.73-31.41,0-25.87,8.71-34.57,25.91-34.57,24.22,0,25.63,25.44,25.63,29.65h-37.34c-.09,1.57-.15,3.18-.15,4.92,0,2.27.12,4.33.31,6.31h49.81A53.82,53.82,0,0,0,1294,558C1294,554.67,1295.22,511.32,1255.38,511.32Zm-368.71,0a65.26,65.26,0,0,0-8.95.65V523.9a52,52,0,0,1,8.95-.82c19.31,0,27.56,9.65,27.56,32.46,0,31.24-14.93,34.75-26,34.75-15.44,0-23.16-5.08-23.16-15.44V479.38H852.45v94.77c0,6.49,2.46,27.73,35.8,27.73,14.39,0,38.61-6,38.61-46.34C926.86,519,904.92,511.32,886.67,511.32Zm302.51-31.94v95.47c0,10.36-7.73,15.44-23.16,15.44-11.06,0-26-3.51-26-34.75,0-22.81,8.25-32.46,27.55-32.46a52.11,52.11,0,0,1,9,.82V512a65.52,65.52,0,0,0-9-.65c-18.25,0-40.19,7.72-40.19,44.22,0,40.37,24.22,46.34,38.62,46.34,33.33,0,35.79-21.24,35.79-27.73V479.38Z" transform="translate(-626.72 -479.38)"/></svg>;
    const iubenda = <svg xmlns="http://www.w3.org/2000/svg" width={width ? width : 91} height={height ? height : 33} viewBox="0 0 91 33"><g fill="none" fillRule="evenodd"><path fill="#1cc691" d="M14.714 7.289a7.208 7.208 0 0 1-1.74 4.706L14.535 33H.568l1.514-20.638A7.212 7.212 0 0 1 0 7.29C0 3.262 3.293 0 7.357 0c4.065 0 7.357 3.262 7.357 7.289z"/><g fill="#fff"><ellipse cx="7.357" cy="7.178" rx="1.769" ry="1.771"/><path d="M8.754 15.288V27.22H6.332v-9.51z"/></g><g fill="#5a5a5a" transform="translate(23.278 9.695)"><path d="M12.54 13.182c-.944 1.019-1.87 1.66-2.366 1.923a3.315 3.315 0 0 1-1.575.395c-.617 0-1.152-.177-1.605-.533a2.756 2.756 0 0 1-.944-1.37c-.176-.56-.264-1.35-.264-2.373V6.602c0-.116 0-.623-.316-.78a.867.867 0 0 0-.257-.056.186.186 0 0 1-.166-.184l-.003-.535c0-.103.082-.187.185-.188h2.026c.292 0 .528.237.528.528v2.749h-.002v3.4c0 1.022.179 1.693.535 2.012.357.32.788.48 1.293.48.344 0 .735-.109 1.172-.324.436-.216 1.161-.626 1.762-1.232l.001-.518h.001l.007-4.88v-.473c0-.115 0-.622-.313-.779a.833.833 0 0 0-.249-.056.186.186 0 0 1-.164-.184l-.004-.535c0-.103.082-.187.185-.188h1.997c.288 0 .522.234.522.522v1.771a.293.293 0 0 1 .002.036v3.653c0 .847 0 1.625-.002 2.336h-.002l.002.275c0 .116-.014.672.3.829a.84.84 0 0 0 .25.056c.094.01.165.09.166.184l.003.537a.186.186 0 0 1-.185.188h-2.003a.522.522 0 0 1-.522-.522v-.002l.004-.995h-.002zm4.03-10.034h-.001V1.772c0-.111 0-.599-.305-.749a.61.61 0 0 0-.121-.043.186.186 0 0 1-.141-.18l-.003-.516a.185.185 0 0 1 .185-.187h1.799c.28 0 .508.227.508.508l-.004 2.645v3.396c1.03-1.415 2.14-2.122 3.333-2.122 1.092 0 2.044.46 2.858 1.382.812.922 1.219 2.181 1.219 3.78 0 1.865-.627 3.368-1.882 4.507-1.076.979-2.276 1.468-3.6 1.468-.62 0-1.249-.11-1.887-.333a8.384 8.384 0 0 1-1.669-.812.612.612 0 0 1-.288-.52V3.874c0-.19 0-.431-.002-.725zm2.096 10.684c.339.3.688.534 1.046.7.422.194.854.292 1.295.292.705 0 1.361-.383 1.969-1.147.608-.765.912-1.877.912-3.338 0-1.345-.304-2.38-.912-3.102-.608-.723-1.299-1.084-2.073-1.084-.41 0-.821.103-1.231.31-.272.134-.61.386-1.013.756a.532.532 0 0 0-.172.392v5.822c0 .152.065.297.179.399zm20.894-1.785V7.473c.912-.978 2.225-1.467 3.144-1.467.595 0 1.018.212 1.269.638.25.425.376 1.107.376 2.048v3.355h-.003v2.673c0 .28.227.507.507.507h1.41c.117 0 .265-.001.445-.004a.186.186 0 0 0 .183-.188l-.003-.515a.186.186 0 0 0-.159-.183.565.565 0 0 1-.163-.045c-.303-.151-.303-.643-.303-.756v-1.388h-.002V8.51c0-.933-.085-1.625-.255-2.076-.247-.647-.58-1.112-.996-1.394-.417-.282-.915-.423-1.495-.423-1.06 0-2.57.645-3.732 1.935a5.696 5.696 0 0 0-.01.012.122.122 0 0 1-.213-.082v-.407.002-.745a.502.502 0 0 0-.502-.502H37.29a.186.186 0 0 0-.186.187l.003.517a.19.19 0 0 0 .139.18.602.602 0 0 1 .114.04c.3.15.3.637.3.749v.024a8.01 8.01 0 0 0 0 .332v1.017h.002c-.006.377-.014.794-.014 1.21v3.837a.44.44 0 0 0 0 .007v.601c0 .112 0 .603-.303.754a.764.764 0 0 1-.225.053.186.186 0 0 0-.163.184l-.004.508c0 .103.082.187.185.188h1.916c.28 0 .506-.227.506-.506v-2.666zm26.831.633v.693a9.168 9.168 0 0 0 .005.144c.022.319.122.522.298.61a.601.601 0 0 0 .14.046.186.186 0 0 1 .147.18l.003.52a.186.186 0 0 1-.185.187h-1.814a.506.506 0 0 1-.506-.506v-.989c-1.092.849-1.777 1.34-2.056 1.472a3.129 3.129 0 0 1-1.336.292c-.736 0-1.342-.254-1.818-.76-.477-.506-.715-1.171-.715-1.997 0-.522.116-.973.349-1.355.317-.53.794-1.134 1.655-1.495.861-.36 1.598-.443 3.921-.971V7.81c-.009-1-.169-2.018-1.824-1.918a6.253 6.253 0 0 0-3.198 1.101.186.186 0 0 1-.291-.154v-.61c0-.322.062-.532.185-.632.684-.551 2.374-1.21 4.022-1.098 1.828.123 2.486.886 2.815 2.05.1.356.209.616.209 1.652v3.191c0 .449-.002.878-.006 1.287zM64.48 9.552c-1.438.296-2.266.48-2.483.553-.802.268-1.438.575-1.49 1.917-.022.56.167 1.026.5 1.396.333.37.716.555 1.15.555.539 0 1.232-.408 2.083-1.06a.615.615 0 0 0 .24-.487zm-7.637 3.931v.005c0 .109 0 .585.293.731.033.017.072.03.118.042.082.02.14.094.14.18l.004.496a.186.186 0 0 1-.185.187h-1.734a.49.49 0 0 1-.49-.49v-.482l-.006.002c-.503.537-.995.922-1.476 1.156s-1 .351-1.556.351c-1.127 0-2.11-.481-2.952-1.444-.842-.962-1.263-2.2-1.263-3.71 0-1.511.466-2.894 1.398-4.148.931-1.254 2.13-1.88 3.595-1.88.91 0 1.66.295 2.254.885V1.681c0-.112 0-.6-.294-.751a.592.592 0 0 0-.103-.04.186.186 0 0 1-.134-.178L54.45.188c0-.103.082-.187.185-.188h1.715c.272 0 .492.22.492.492v12.96zM53.68 6.122c-.371-.219-.734-.328-1.087-.328-.661 0-1.264.284-1.803.838-.595.61-.992 1.432-.992 2.966 0 1.55.33 2.736.992 3.56.66.825 1.397 1.238 2.209 1.238.579 0 1.142-.25 1.689-.752a.908.908 0 0 0 .294-.67V8.399a2.64 2.64 0 0 0-1.302-2.276zM28.038 14.28c-.84-.956-1.278-2.484-1.278-4 0-1.6.497-3.064 1.4-4.121.939-1.102 2.224-1.684 3.715-1.684 1.264 0 2.227.432 2.863 1.283.594.795.895 1.932.895 3.38 0 .175-.01.42-.032.733a.373.373 0 0 1-.372.348h-6.474a.108.108 0 0 0-.077.032.106.106 0 0 0-.03.076c.022 1.19.4 2.195 1.092 2.908.68.701 1.614 1.071 2.7 1.071.81 0 1.871-.212 2.69-.461a.218.218 0 0 1 .275.264l-.11.424a.548.548 0 0 1-.29.355c-.81.394-2.021.773-3.266.773-1.512 0-2.81-.369-3.7-1.381zm.537-5.439a.092.092 0 0 0 .03.076.11.11 0 0 0 .078.032h5.2c.055 0 .102-.04.107-.09.06-.546.083-1.533-.728-2.373-.4-.414-.882-.624-1.81-.624-1.62 0-2.697 1.601-2.877 2.98z"/><path d="M44.353 12.109v1.402c0 .114 0 .61-.302.764a.29.29 0 0 1-.035.014.525.525 0 0 0-.352.493.435.435 0 0 0 .435.437h1.654a.503.503 0 0 0 .504-.503v-2.71zm-4.791 0v1.402c0 .114 0 .61.301.764a.29.29 0 0 0 .036.014c.21.074.35.27.351.493a.435.435 0 0 1-.434.437h-1.654a.504.504 0 0 1-.504-.503v-2.71zM2.725 5.687v8.13c0 .214.122.409.314.502a.558.558 0 0 1 .313.501v.154c0 .174-.14.314-.313.314H.31a.31.31 0 0 1-.31-.31v-.16c0-.212.12-.406.31-.499a.555.555 0 0 0 .31-.498V5.967a.201.201 0 0 0-.2-.201.201.201 0 0 1-.202-.201v-.258a.46.46 0 0 1 .46-.46h1.207a.84.84 0 0 1 .84.84z"/><ellipse cx="1.676" cy="1.492" rx="1.304" ry="1.305"/></g></g></svg>;

    return (
        <>
            {team === 'webnode' && variant === 'dark' && webnode}
            {team === 'webnode' && variant === 'light' && webnodeLight}
            {team === 'iubenda' && iubenda}
        </>
    );
}
